import { State, EndpointInterface, FetchFunction } from '@rest-hooks/react';
import { FetchShape, ParamsFromShape } from '../endpoint/index.js';
/**
 * Gets meta for a fetch key.
 * @see https://resthooks.io/docs/api/useMeta
 */
export default function useMeta<E extends Pick<EndpointInterface<FetchFunction>, 'key'> | Pick<FetchShape<any, any>, 'getFetchKey'>, Args extends (E extends {
    key: any;
} ? readonly [...Parameters<E['key']>] : readonly [ParamsFromShape<E>]) | readonly [null]>(endpoint: E, ...args: Args): StateMeta | null;
type StateMeta<R = any> = State<R>['meta'][string];
export {};
//# sourceMappingURL=useMeta.d.ts.map