import type { Schema, DenormalizeNullable } from '@rest-hooks/react';
import { State, ExpiryStatus } from '@rest-hooks/react';
import { ReadShape, ParamsFromShape } from '../endpoint/index.js';
/**
 * @deprecated use https://resthooks.io/docs/api/Controller#getResponse directly instead
 *
 * Selects the denormalized form from `state` cache.
 *
 * If `result` is not found, will attempt to generate it naturally
 * using params and schema. This increases cache hit rate for many
 * detail shapes.
 *
 * @returns [denormalizedValue, ready]
 */
export default function useDenormalized<Shape extends Pick<ReadShape<Schema | undefined, any>, 'getFetchKey' | 'schema' | 'options'>>(shape: Shape, params: ParamsFromShape<Shape> | null, state: State<any>, 
/** @deprecated */
denormalizeCache?: any): {
    data: DenormalizeNullable<Shape['schema']>;
    expiryStatus: ExpiryStatus;
    expiresAt: number;
};
//# sourceMappingURL=useDenormalized.d.ts.map